package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.WrittenResultsService;
import com.engine.recruit.service.impl.WrittenResultsServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/01/24
 * @version: 1.0
 */
public class WrittenResultsWrapper extends Service {
    private WrittenResultsService getWrittenResultsService(User user) {
        return ServiceUtil.getService(WrittenResultsServiceImpl.class, user);
    }

    public Map<String, Object> getFormCondition(Map<String, Object> params) {
        return getWrittenResultsService(user).getFormCondition();
    }

    public Map<String, Object> importExcel(Map<String, Object> params) {
        return getWrittenResultsService(user).importExcel(params);
    }
}
